# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Actionlint < Formula
  desc "Static checker for GitHub Actions workflow files"
  homepage "https://github.com/rhysd/actionlint#readme"
  version "1.6.6"
  license "MIT"

  on_macos do
    if Hardware::CPU.arm?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.6/actionlint_1.6.6_darwin_arm64.tar.gz"
      sha256 "fbab7e70439e4e3967a373a7fb7596d0248e59e7026d8c16fbc75a14f369c2ef"
    end
    if Hardware::CPU.intel?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.6/actionlint_1.6.6_darwin_amd64.tar.gz"
      sha256 "1089d05e0784431a38b9620c806fcf4e0ea047298ee15f3177caa3c5cd614d21"
    end
  end

  on_linux do
    if Hardware::CPU.arm? && !Hardware::CPU.is_64_bit?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.6/actionlint_1.6.6_linux_armv6.tar.gz"
      sha256 "655f6bff5fc2945254aa007cc5448f3df0caca8987c8f0bee616f4c9c2314c29"
    end
    if Hardware::CPU.intel?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.6/actionlint_1.6.6_linux_amd64.tar.gz"
      sha256 "0d041efca808bd691b99216dfbe7bb38da9c2a591f4b0692b1a75e5ac7c084c0"
    end
    if Hardware::CPU.arm? && Hardware::CPU.is_64_bit?
      url "https://github.com/rhysd/actionlint/releases/download/v1.6.6/actionlint_1.6.6_linux_arm64.tar.gz"
      sha256 "19006ac33734469d7f68a3771b1971453b3d120aa314436224daffcb08f2dba3"
    end
  end

  def install
    bin.install "actionlint"
    man1.install "man/actionlint.1"
  end

  test do
    system "#{bin}/actionlint -version"
  end
end
